def is_prime(n , L):
	# n est un nombre, L est une liste
    for p in L:
        if n % p == 0:
            return False

    return True

def liste(n):
    L = [] # liste vide
    for k in range(2,n+1):
        if is_prime(k , L) == True:
            L.append(k)

    return L
